package sgc.portal.co.cocom.service;

import org.springframework.stereotype.Service;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.co.cocom.dto.COCOMSearch;
import sgc.portal.co.cocom.persistence.COCOMMapper;

import java.util.List;

@Service
public class COCOMService {
    private final COCOMMapper mapper;

    public COCOMService(COCOMMapper mapper) {
        this.mapper = mapper;
    }
    
    //본부
    public List<EasyHashMap<String, Object>> getComboCcgrp(COCOMSearch search) {
        return mapper.getComboCcgrp(search);
    }
}
